## idle3-tools 0.9.1

=== Makefile ===
# Makefile for idle3-tools

# DESTDIR is for non root installs (eg packages, NFS) only!
DESTDIR =

binprefix = 
manprefix = /usr
exec_prefix = $(binprefix)/
sbindir = $(exec_prefix)sbin
mandir = $(manprefix)/share/man
oldmandir = $(manprefix)/man

CC ?= gcc
STRIP ?= strip

CFLAGS := -g -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)

LDFLAGS = -s
#LDFLAGS = -s -static
INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIR = $(INSTALL) -m 755 -d
INSTALL_PROGRAM = $(INSTALL)

OBJS = idle3ctl.o sgio.o

all: idle3ctl

idle3ctl: $(OBJS)
	$(CC) $(LDFLAGS) -o idle3ctl $(OBJS)
	#$(STRIP) idle3ctl

idle3ctl.o: idle3ctl.c sgio.h

sgio.o:	sgio.c sgio.h

install: all idle3ctl.8
	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi
	if [ ! -z $(DESTDIR)$(sbindir) ]; then $(INSTALL_DIR) $(DESTDIR)$(sbindir) ; fi
	if [ ! -z $(DESTDIR)$(mandir) ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir) ; fi
	if [ ! -z $(DESTDIR)$(mandir)/man8/ ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir)/man8/ ; fi
	if [ -f $(DESTDIR)$(sbindir)/idle3ctl ]; then rm -f $(DESTDIR)$(sbindir)/idle3ctl ; fi
	if [ -f $(DESTDIR)$(mandir)/man8/idle3ctl.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/idle3ctl.8 ;\
	elif [ -f $(DESTDIR)$(oldmandir)/man8/idle3ctl.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/idle3ctl.8 ; fi
	$(INSTALL_PROGRAM) -D idle3ctl $(DESTDIR)$(sbindir)/idle3ctl
	if [ -d $(DESTDIR)$(mandir) ]; then $(INSTALL_DATA) -D idle3ctl.8 $(DESTDIR)$(mandir)/man8/idle3ctl.8 ;\
	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) -D idle3ctl.8 $(DESTDIR)$(oldmandir)/man8/idle3ctl.8 ; fi

clean:
	-rm -f idle3ctl $(OBJS) core 2>/dev/null

=== debian/changelog ===
idle3-tools (0.9.1-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields to source stanza.
      - Removed trailing whitespace.
  * debian/copyright:
      - Added 'hdparm' License block.
      - Added Leandro Ramos and myself to packaging block.
      - Updated block for 'sqio.c'.
      - Updated packaging years.
      - Updated short license fields.
      - Using a secure URI in Format field.
      - Using a secure URI in Source field.
  * debian/patches/01-695876-idle3ctl.8.patch: updated header.
  * debian/patches/02_fix-spelling-errors.patch: created to fix spelling errors
    in the manpage.
  * debian/patches/03_fix-makefile-for-hardening.patch: created to fix Makefile
    to use flags for gcc hardening.
  * debian/patches/04_fix-typo-in-idle3ctl.c.patch: added.
  * debian/rules:
      - Added flags for gcc hardening.
      - Removed DH_VERBOSE export.
      - Removed trailing whitespace.
      - Removed unnecessary override for dh_auto_install.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Thu, 11 Jun 2020 15:39:08 -0300

idle3-tools (0.9.1-5) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: adjusted to run CI tests as regular user and
    marked as superficial. Thanks to Paul Gevers. (Closes: #961457)

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 10 Jun 2020 15:18:58 -0300

idle3-tools (0.9.1-4) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: created to perform trivial CI tests.

 -- Leandro Ramos <leandroramos@debxp.org>  Fri, 15 May 2020 16:41:38 -0300

idle3-tools (0.9.1-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #925029)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Leandro Ramos <leandroramos@debxp.org>  Sat, 09 May 2020 15:27:58 -0300

idle3-tools (0.9.1-2) unstable; urgency=medium

  * Fix uses-deprecated-compression-for-data-tarball
    Closes: #833225
  * Standards version is 3.9.8
  * Fix typo in man page URL
    Patch by Chris Chiappa
    Add 01-695876-idle3ctl.8.patch
    Closes: #695876

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2016 11:37:00 +0000

idle3-tools (0.9.1-1) unstable; urgency=low

  * Initial release
    Closes: 668248

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 10 Apr 2012 17:28:22 +1000

=== debian/control ===
Source: idle3-tools
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://idle3-tools.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/idle3-tools
Vcs-Git: https://salsa.debian.org/debian/idle3-tools.git

Package: idle3-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: change the idle3 timer of recent Western Digital Hard Disk Drives
 Idle3-tools provides a linux/unix utility that can disable, get and
 set the value of the infamous idle3 timer found on recent Western
 Digital Hard Disk Drives.
 .
 It can be used as an alternative to the official wdidle3.exe
 proprietary utility, without the need to reboot in a DOS environment.
 .
 A power off/on cycle of the drive will still be mandatory for new
 settings to be taken into account.
 .
 Modern Western Digital "Green" Drives include the Intellipark feature
 that stops the disk when not in use.
 .
 Unfortunately, the default timer setting is not perfect on linux/unix
 systems, including many NAS, and leads to a dramatic increase of the
 Load Cycle Count value (SMART attribute #193). With the default timer
 setting, the drive will spin down *every eight seconds* if idle and
 this may get the spindle motor to burn out in a few months or so.
 .
 If you have a Western Digital EADS or EARS drive, please check you
 SMART information before it's too late by running the following
 command:
 .
  sudo smartctl -A /dev/sda | grep "^193"
 .
 If the Load cycle count (which is in the last column) exceeds 1000,
 you're probably affected by the idle3 timer problem.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -Wl,-z,now -Wl,-z,relro

%:
	dh $@

=== debian/tests/control ===
Test-Command: export PATH+=:/usr/sbin && idle3ctl -V | grep idle
Restrictions: superficial

Test-Command: export PATH+=:/usr/sbin && idle3ctl -h | grep -i help
Restrictions: superficial
